Page 1 of 1

4.x to 3.30 downgrade problem

Posted: Tue Jun 22, 2010 10:11 am
by Armwheet
Hi,
I have bought RouterBoard 411 with Level 3 license it came with RouterOS 4.5. I want to downgrade to 3.30, I transfered package via tool fetch, in System->Packages I clicked downgrade and I was watching on serial port what is happening. Verification was OK, RouterOS finished installing, and after reboot system stops booting on Starting Services.

The same problems occurs when I try to install from netinstall. Installation is successful, but it cannot boot (Starting Services). Upgrading to 4.10 and downgrading to 'any' 4.x version works ok. Any suggestion why it is happening?

Thanks for your time.

Re: 4.x to 3.30 downgrade problem

Posted: Tue Jun 29, 2010 10:03 am
by bafh
Don't know. Did that once, on RB450, no problem.

Re: 4.x to 3.30 downgrade problem

Posted: Tue Jun 29, 2010 10:05 am
by normis
if your router came preinstalled with v4.x, you can't downgrade to v3 as it doesn't have the old style license. You must use it with factory-preinstalled version or newer.

Re: 4.x to 3.30 downgrade problem

Posted: Wed Dec 22, 2010 11:50 pm
by greencomputing
Ciao Normis

I'm having same problem . I must downgrade urgently that version because it's not working with NSTREME. How can I come back to 3.30? Do you think it's normal to do not have backward compability with packages installation mechanism ?

really a pain . Mikrotik help us!!!! I know about hundred and hundred people in our condition and this is becoming really a problem!!

have a nice day

Ciao

Re: 4.x to 3.30 downgrade problem

Posted: Thu Dec 23, 2010 12:04 am
by guilhermedepaula
Good Evening,

Had the same problem, But just downloaded version 3.30 and did the downgrade again. I believe the previous Were corrupted files During download. Also check if the files are downloaded to the series 4.

I apologize for the Inglish.

Re: 4.x to 3.30 downgrade problem

Posted: Thu Feb 16, 2012 12:38 pm
by dunga
hello,
i just downgraded my rb1200 from 5.13 down to 4.17, but i lost connection to the rb1200, what will i do to rectify it.

Thanks

Re: 4.x to 3.30 downgrade problem

Posted: Thu Feb 16, 2012 12:39 pm
by normis
dunga, need to see console output to be able to tell what happened. as you see above, downgrade is not recommended

Re: 4.x to 3.30 downgrade problem

Posted: Thu Feb 16, 2012 12:42 pm
by honzam
RTFM
MikroTik RouterOS starting from version v5 is fully compatible with RouterBOARD 1200 series devices

4.17 is NOT supported.

Use netinstall http://wiki.mikrotik.com/wiki/Manual:Netinstall